#!/usr/bin/env node
"use strict";
var __importDefault = (this && this.__importDefault) || function (mod) {
    return (mod && mod.__esModule) ? mod : { "default": mod };
};
Object.defineProperty(exports, "__esModule", { value: true });
const logger_1 = __importDefault(require("../logger"));
const commander_1 = __importDefault(require("commander"));
const dotenv_1 = __importDefault(require("dotenv"));
const fetch_service_1 = require("../services/fetch-service");
if (process.argv.length === 2) {
    logger_1.default.warn('Add some command or use `googlize --help` to see list of commands');
    process.exit();
}
if (process.env.NODE_ENV === 'development') {
    dotenv_1.default.config();
}
commander_1.default
    .version('0.0.1');
commander_1.default
    .command('fetch')
    .option('-t --type <type>', 'Project type')
    .description('Fetch settings for project')
    .action(async (cmd) => {
    const service = new fetch_service_1.FetchService({
        type: cmd.type,
    });
    await service.fetch();
});
commander_1.default.parse(process.argv);
//# sourceMappingURL=cli.js.map