export interface Settings {
    type: string;
    network: string;
    uid: string;
    template: string;
    logo: string;
    logoWithText: string;
    footerLogo: string;
    favicon: string;
    contacts: {
        phone: string;
        email: string;
        viber: string;
        telegram: string;
        whatsapp: string;
        facebook: string;
        address: string;
        description: {
            [lang: string]: string;
        };
    };
    socials: {
        [id: string]: string;
    };
    integrations: {
        [id: string]: string;
    };
    modules: {
        seo: {
            title: {
                [lang: string]: string;
            };
            description: {
                [lang: string]: string;
            };
        };
        navigation: {
            enabled: boolean;
            theme: string;
            type: string;
        };
    };
    i18n: {
        langs: Array<string>;
        primaryLang: string;
        fallbackLocale: string;
        bundle: string;
    };
    services: {
        backoffice: {
            endpoint: string;
        };
        creator: {
            endpoint: string;
        };
        envmgr: {
            endpoint: string;
        };
        fs: {
            endpoint: string;
        };
        sso: {
            endpoint: string;
        };
        mp: {
            endpoint: string;
        };
    };
}
export default function SettingsSync(): Promise<void>;
